
#include <EasyTransfer.h>
#include <Wire.h>
#include <LiquidCrystal_I2C.h>
//i2c pins
LiquidCrystal_I2C lcd(0x27, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);

//create two objects
EasyTransfer ETin, ETout; 

struct RECEIVE_DATA_STRUCTURE{
  //put your variable definitions here for the data you want to receive
  //THIS MUST BE EXACTLY THE SAME ON THE OTHER ARDUINO
};

struct SEND_DATA_STRUCTURE{
  //put your variable definitions here for the data you want to receive
  //THIS MUST BE EXACTLY THE SAME ON THE OTHER ARDUINO
 
  int joyVRy; //Y axis vertical on joystick
  int joyVRx; // X axis horizontal on joystick
 int joyElev;  //Z axis up and down elevation


};

//give a name to the group of data
RECEIVE_DATA_STRUCTURE rxdata;
SEND_DATA_STRUCTURE txdata;

void setup(){
Serial.begin(9600);

//define our LCD 16 columns and 2 rows
lcd.begin(16,4);
lcd.backlight();//Power on the back light
  lcd.clear();  //make sure screen is clear.
  lcd.setCursor(0,0);  //Move cursor to top left corner


  //start the library, pass in the data details and the name of the serial port. Can be Serial, Serial1, Serial2, etc.
  ETin.begin(details(rxdata), &Serial);
  ETout.begin(details(txdata), &Serial);

 
      //Write your text:
   
lcd.setCursor(4,0); //we start writing from the first row first column
lcd.print(" GARBO ROV"); //16 characters per line
delay(1000);//Delay used to give a dinamic effect
}

void loop() {

  //first, lets read our potentiometer and button and store it in our data structure
  txdata.joyVRy = analogRead(0);
  txdata.joyVRx = analogRead(1); 
  txdata.joyElev = analogRead(2);

  
  //then we will go ahead and send that data out
  ETout.sendData();
  for(int i=0; i<5; i++){
    //remember, you could use an if() here to check for new data, this time it's not needed.
    ETin.receiveData();
  }
    //delay
    delay(10);


  }
